#include<bits/stdc++.h>

using namespace std;

long long int x1;
long long int y;
long long int x2;
long long int y2;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    cin>>x1>>y>>x2>>y2;

    if (x1==x2 && y!=y2) cout<<2;
    else if (y==y2 && x1!=x2) cout<<2;
    else if (x1!=x2 && y!=y2)
    {
        if (abs(x2-x1)!=abs(y2-y))
            cout<<0;
        else cout<<1;
    }

    return 0;
}